Bug 51458 - Suspend to disk dosn't work with 2.4.7-0.12.1
Summary: Suspend to disk dosn't work with 2.4.7-0.12.1
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-10 17:02 UTC by Michael Stefaniuc
Modified: 2015-01-04 22:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-30 03:26:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmidecode output of a C600 with 2.4.7-0.12.1 (3.50 KB, text/plain)
2001-08-10 17:04 UTC, Michael Stefaniuc
no flags Details
strace of apm --suspend (2.40 KB, text/plain)
2001-08-10 17:41 UTC, David Sainty
no flags Details
strace apm --suspend - this time as root! (2.42 KB, text/plain)
2001-08-10 19:16 UTC, David Sainty
no flags Details
linux-2.4.7-dmi.patch diff for 2.4.5-2.5 (766 bytes, patch)
2001-08-22 12:09 UTC, David Sainty
no flags Details | Diff

Description Michael Stefaniuc 2001-08-10 17:02:34 UTC
Description of Problem:
With the 2.4.7-0.12.1 kernel the Dell C600 laptop (BIOS rev. A03 and A13)
dosn't go into suspend to disk mode when closing the display lid nor after
pressing <FN><Suspend>. It works fine with 2.4.7-0.11.1 and below


How Reproducible:
every time

Additional Information:
Output of http://people.redhat.com/arjanv/dmidecode.c

Comment 1 Michael Stefaniuc 2001-08-10 17:04:02 UTC
Created attachment 27293 [details]
dmidecode output of a C600 with 2.4.7-0.12.1

Comment 2 David Sainty 2001-08-10 17:39:36 UTC
Yup, same thing here, again Dell Latitude C600.  Providing strace of "apm
--suspend".

Comment 3 David Sainty 2001-08-10 17:41:52 UTC
Created attachment 27296 [details]
strace of apm --suspend

Comment 4 David Sainty 2001-08-10 19:16:29 UTC
Created attachment 27314 [details]
strace apm --suspend - this time as root!

Comment 5 David Sainty 2001-08-22 12:08:51 UTC
After much hunting through patches and compiling test kernels...  the
linux-2.4.7-dmi.patch had been modified between 0.11.1 and 0.13.1. The first two
new chunks cause the problem. 

Patch for 2.4.7-2.5 kernel attached, to remove these two chunks.




Comment 6 David Sainty 2001-08-22 12:09:57 UTC
Created attachment 28894 [details]
linux-2.4.7-dmi.patch diff for 2.4.5-2.5


Note You need to log in before you can comment on or make changes to this bug.